var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function AxisLeft(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M43 13.444h-6.333v19H43v4.222h-6.333V43h-4.223v-6.334h-19V43L5 34.555l8.445-8.444v6.333h19v-19H26.11L34.556 5 43 13.444z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = AxisLeft;
export default AxisLeft;

